<?php

declare(strict_types=1);

namespace ThemeREX\AutoDealer\Integrations\Maps;

/**
 * @package ThemeREX\AutoDealer
 */
interface MapProviderInterface {

	public function enqueueAssets(): void;

	/**
	 * @param array<string, mixed> $args
	 * @return string
	 */
	public function render( array $args ): string;
}
